#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoauth2
version:              2.7.0
visibility:           public
id:                   hoauth2-2.7.0-1V27CPd3k7HHRFHxygWvw5
key:                  hoauth2-2.7.0-1V27CPd3k7HHRFHxygWvw5
license:              MIT
copyright:            Haisheng Wu
maintainer:           Haisheng Wu <freizl@gmail.com>
author:               Haisheng Wu
stability:            Beta
homepage:             https://github.com/freizl/hoauth2
synopsis:             Haskell OAuth2 authentication client
description:
    Haskell OAuth2 authentication client.

    Tutorial <https://github.com/freizl/hoauth2/tree/main/hoauth2-tutorial/>

    Demo application <https://github.com/freizl/hoauth2-demo/tree/main/hoauth2-demo/>

category:             Network
abi:                  eb09a2bb8b43d3999a3fda8aa50f973d
exposed:              True
exposed-modules:
    Network.OAuth.OAuth2 Network.OAuth.OAuth2.AuthorizationRequest
    Network.OAuth.OAuth2.HttpClient Network.OAuth.OAuth2.TokenRequest
    Network.OAuth2.Experiment

hidden-modules:
    Network.OAuth.OAuth2.Internal Network.OAuth2.Experiment.Pkce
    Network.OAuth2.Experiment.Types Network.OAuth2.Experiment.Utils
    Paths_hoauth2

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoauth2-2.7.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoauth2-2.7.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hoauth2
hs-libraries:         HShoauth2-2.7.0-1V27CPd3k7HHRFHxygWvw5
depends:
    aeson-2.1.2.1-DTIp7ffJsC9lgN2UYC5np base-4.16.4.0
    base64-0.4.2.4-BZtq0S2OO5iEjaYRv95RIr binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-DThDHTXw89HDhtGrmdzCL7
    data-default-0.7.1.1-HcuW2hRxvD847K0VTSuNyE exceptions-0.10.4
    http-conduit-2.3.9.1-IPVoMmW6l4YIV1UnNDBmrU
    http-types-0.12.4-JojVj7UYzIZ26TbBVrXFBE
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    microlens-0.4.13.1-HPplyG5VOciEIF62YegSgA text-1.2.5.0
    transformers-0.5.6.2 uri-bytestring-0.3.3.1-Ct8sBLu8QK43VRFa69Fhjt
    uri-bytestring-aeson-0.1.0.9-CApFVA0gFBRKLjL93QuXNP

haddock-interfaces:   /usr/share/doc/haskell-hoauth2/html/hoauth2.haddock
haddock-html:         /usr/share/doc/haskell-hoauth2/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

